Page MenuHomePhabricator

Requesting deployment access for jdrewniak
Closed, ResolvedPublic

Description

I'm requesting tin access so that I can take over mediawiki-portal deployments on a regular basis.

Username: jdrewniak
Full name: Jan Drewniak

Event Timeline

Restricted Application added projects: Operations, Discovery. · View Herald TranscriptNov 15 2017, 9:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
RobH added a subscriber: RobH.EditedNov 15 2017, 9:41 PM

Ops audit notes:

  • user already has shell access, this is expanding that access
  • user has already signed the L3 document.

Please note that the deployment group is a sudo level permissions group. This means that it has to be approved in the operations meeting, which is held on Mondays. Additionally, you should have your manager approve your expansions of rights on this task.

We've also had Release Engineering sign off on all additions to deployers for the last few additions. So pinging @greg for approval.

Please let me know if you have any questions!

debt triaged this task as Normal priority.Nov 15 2017, 9:48 PM
debt added subscribers: phuedx, debt.

Hi, I'm @Jdrewniak's manager for the Portal work that he's been doing and @phuedx is his administrative manager — I approve @Jdrewniak's expansion of rights.

Please let us know the outcome of the operations meeting on Monday. Thanks! :)

RobH added a subscriber: greg.Nov 15 2017, 9:51 PM
greg added a comment.Nov 15 2017, 10:33 PM

We've also had Release Engineering sign off on all additions to deployers for the last few additions. So pinging @greg for approval.

approved.

Change 391732 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] adding jdrewniak to deployment group

https://gerrit.wikimedia.org/r/391732

Additionally, you should have your manager approve your expansions of rights on this task.

FTR I also approve.

RobH added a comment.Nov 20 2017, 5:53 PM

This was approved in today's operations team meeting. I'll merge the access shortly.

Change 391732 merged by RobH:
[operations/puppet@production] adding jdrewniak to deployment group

https://gerrit.wikimedia.org/r/391732

RobH closed this task as Resolved.Nov 20 2017, 5:56 PM
RobH claimed this task.

This access change is now live on the puppetmasters. It will take up to 30 minutes for all hosts to receive the update.

debt awarded a token.Nov 20 2017, 5:57 PM

Mentioned in SAL (#wikimedia-releng) [2017-11-21T13:24:41Z] <hashar> gerrit: adding Jdrewniak to wmf-deployment group https://gerrit.wikimedia.org/r/#/admin/groups/21,members | T180639